This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 85897 - Design Patterns : Decorator : interface has wrong atribute
Summary: Design Patterns : Decorator : interface has wrong atribute
Status: NEW
Alias: None
Product: uml
Classification: Unclassified
Component: Design Center (show other bugs)
Version: 5.x
Hardware: All All
: P4 blocker (vote)
Assignee: issues@uml
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-27 15:45 UTC by bugbridge
Modified: 2009-05-25 21:06 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-09-27 15:45:42 UTC
Date: 06/16/2004



Apply template Decorator.
Generated code for interface decorator contains :

     private Component mComponent;

Interface cannot contain such declaration.

======================================================================

Evaluation:
Name: xyNNNNNN			Date: 07/14/2004

Evaluated by UML iteam on July 2, 2004. Will be fixed for Bow RR

======================================================================

Name: xyNNNNNN			Date: 09/30/2004

Not critical for Bow per iteam review.

======================================================================

 Low priority. Shall look into it later.
xxx@xxxx 10/7/04 22:56 GMT

Still exists in Bow9.
2004-09-13

Fixed. See related INF for details. The fix can be verified in tonite's
(09-16-2004) nightly build.
2004-09-16

Nightly build from 26, now code contains :
public interface Decorator {
    
    public static final Component mComponent = null;
    
    public void operation();
    
}
It is absolutely sensless . Fix is wrong. Bug is reopened.
Design pattern should be corrected , not generated source code.
Possible fix : interface should be changed by abstract class or association
should be placed
in implemented class.
2004-09-27

Date: 09/30/2004

Reviewed by UML iteam on Sept 30, 2004. Not critical for EA.
Comment 1 Peter Lam 2008-06-11 01:55:40 UTC
still exists 6.5